import { InjectEntityModel } from '@midwayjs/typeorm';
import { Repository } from 'typeorm';
import { BaseService } from '../../frame/BaseService';
import { Provide } from '@midwayjs/core';
import { Menus } from '../../entity/system/menus.entity';
import { orderBy } from 'lodash';

@Provide()
export class MenusService extends BaseService {
  @InjectEntityModel(Menus)
  model: Repository<Menus>;

  async queryMenu(query = {}): Promise<Array<object>> {
    const { data } = await this.query(query, { order: { order_num: 'ASC' } });
    let treeMenu = data.filter(f => !f.parent_id);
    treeMenu = this.treeMenu(data, treeMenu);
    return treeMenu;
  }

  treeMenu(allMenus, nowMenu) {
    for (const nm of nowMenu) {
      const { id, parent_id } = nm;
      // 查下下级其是否有目录
      let children = allMenus.filter(f => f.parent_id === id);
      children = this.treeMenu(allMenus, children);
      if (children.length > 0) nm.children = children;
      // 换父级组件的名称
      if (parent_id) {
        const r = allMenus.find(f => f.id === parent_id);
        if (r) nm.parent_name = r.name;
      }
    }
    nowMenu = orderBy(nowMenu, ['order_num'], ['asc']);
    return nowMenu;
  }
}
