import { BaseService } from '../../frame/BaseService';
import { Provide } from '@midwayjs/core';
import { get } from 'lodash';
import { ErrorCode } from '../../error/Codes';
import { ServiceError } from '../../error/CustomerError.error';
import { Repository } from 'typeorm';
import { InjectEntityModel } from '@midwayjs/typeorm';
import { User } from '../../entity/system/user.entity';

@Provide()
export class UserService extends BaseService {
  @InjectEntityModel(User)
  model: Repository<User>;
  /**查重 */
  async checkInDB(data: object) {
    // account查重,虽然数据库有unique约束,但是尽量不触发,因为异常捕获不好解析
    const account = get(data, 'account');
    const num = await this.model.count({ where: { account } });
    if (num > 0) throw new ServiceError(ErrorCode.ACCOUNT_IS_EXISTS);
  }
}
