import { Context } from '@midwayjs/koa';
import { FileService } from '../../service/frame/File.service';
/**文件上传默认类 */
export declare class FileController {
    ctx: Context;
    fileService: FileService;
    uploadDir: any;
    /**
     * 文件上传
     * @param {Array} files 文件数组
     * @param {object} fields 其他字段
     * @param {string} project 项目名
     * @param {string} catalog 文件层级名 用'_'连接上下层级
     * @param {string} item 文件名,没有默认用时间戳
     */
    upload(files: any, fields: any): Promise<{
        id: string;
        name: string;
        uri: string;
        errcode: number;
    }>;
    /**
     * 读取文件
     */
    readFile(): Promise<void>;
    clearFiles(): Promise<string>;
}
