import { LoginService } from '../../service/frame/Login.service';
import { UPwdDTO } from '../../frame/Options';
import { JwtService } from '@midwayjs/jwt';
import { LoginRecordService } from '../../service/frame/LoginRecord.service';
export declare class LoginController {
    loginService: LoginService;
    loginRecordService: LoginRecordService;
    jwtSecret: any;
    jwtService: JwtService;
    /**
     * 账密登录
     * @param data 用户名和密码
     * @param type 用户类型
     */
    toLogin(data: any, type: string): Promise<{
        errcode: string;
        errmsg: string;
        data: any;
    }>;
    /**
     * 修改密码
     * @param data 修改密码所需数据
     * @param type 账户类型
     */
    updatePwd(data: UPwdDTO, type: string): Promise<{
        errcode: string;
        errmsg: string;
        data: any;
    }>;
    /**
     * 重置密码
     * @param id 用户id
     * @param type 用户类型
     */
    resetPwd(id: number, type: string): Promise<{
        errcode: string;
        errmsg: string;
        data: any;
    }>;
}
