import { LoginType, UPwdDTO } from '../../frame/Options';
import { RoleService } from '../system/role.service';
import { Repository } from 'typeorm';
import { Admin } from '../../entity/system/admin.entity';
import { User } from '../../entity/system/user.entity';
export declare class LoginService {
    roleService: RoleService;
    adminModel: Repository<Admin>;
    userModel: Repository<User>;
    /**
     * 账密登录
     * @param data 用户名和密码
     * @param type 用户类型
     * @returns 用户信息/空值
     */
    loginByAccount(data: any, type: LoginType): Promise<any>;
    /**
     * 检查用户是否可以登录(从用户本身和角色检查)
     * @param user 用户信息
     * @param type 用户类型
     */
    checkAccountCanLogin(user: any, type: LoginType): Promise<void>;
    /**
     * 修改密码
     * @param data 修改密码对象
     * @param type 规定的登录类型
     * @returns 新密码
     */
    updatePwd(data: UPwdDTO, type: LoginType): Promise<void>;
}
