import { DataSource, ObjectLiteral, Repository } from "typeorm";
export declare class CommonService {
    defaultDataSource: DataSource;
    /**
     * 查询列表
     * @param model 表实体
     * @param query 查询条件
     * @param page 分页设置
     * @param others 其他设置
     * @returns data 列表数据
     * @returns total 总数
     */
    search(model: Repository<ObjectLiteral>, query?: object, page?: object, others?: object): Promise<{
        data: ObjectLiteral[];
        total: number;
    }>;
    /**
     * 单查询
     * @param model 表实体
     * @param query 查询条件
     * @returns data 数据
     */
    getOne(model: Repository<ObjectLiteral>, query: object): Promise<ObjectLiteral>;
    /**
     * 根据表名查询表实例
     * @param tableName 表名
     * @returns model 表的实例
     */
    getModel(tableName: string): Repository<ObjectLiteral>;
}
